{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> {};
in {
  environment.systemPackages = with pkgs; [
    gnumake
    go
    python38
    python38Packages.pyls-black
    python38Packages.pyls-isort
    python38Packages.pyls-mypy
    python38Packages.python-language-server
    python38Packages.requests
    rustup
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer

    emacs
    ltrace
    sops
    tig

    openssl pkg-config nasm cmake zlib gcc binutils-unwrapped
  ];
}
